--- doinst.sh-glibc	2006-09-14 02:47:08.000000000 -0400
+++ doinst.sh-glibc.s390x	2007-01-22 03:30:25.000000000 -0500
@@ -18,9 +18,9 @@
 # The tricks involved here get trickier every time...
 
 # Install linuxthreads glibc libraries:
-if [ -x /sbin/ldconfig -a -d /lib/incoming ]; then # swap on the fly
+if [ -x /sbin/ldconfig -a -d /lib64/incoming ]; then # swap on the fly
   # First create copies of the incoming libraries:
-  ( cd lib/incoming
+  ( cd lib64/incoming
     for file in * ; do
       if [ ! -r ../${file}.incoming ]; then
         cp -a $file ../${file}.incoming
@@ -28,9 +28,9 @@
     done
   )
   # Then switch to them all at once:
-  /sbin/ldconfig -l /lib/*.incoming 2> /dev/null
+  /sbin/ldconfig -l /lib64/*.incoming 2> /dev/null
   # Finally, rename them and clean up:
-  ( cd lib
+  ( cd lib64
     for file in *.incoming ; do
       rm -f `basename $file .incoming`
       cp -a $file `basename $file .incoming`
@@ -39,20 +39,20 @@
     done
   )
 else # no ldconfig?  Good, it's safe to just jam it on home (and make links below):
-  ( cd lib/incoming
+  ( cd lib64/incoming
     for file in * ; do
       cp -a $file ..
     done
   )
 fi
 # Now, get rid of the temporary directory:
-rm -rf lib/incoming
+rm -rf lib64/incoming
 # Done installing linuxthreads glibc libraries.
 
 # Install NPTL glibc libraries:
-if [ -x /sbin/ldconfig -a -d /lib/tls/incoming ]; then # swap on the fly
+if [ -x /sbin/ldconfig -a -d /lib64/tls/incoming ]; then # swap on the fly
   # First create copies of the incoming libraries:
-  ( cd lib/tls/incoming
+  ( cd lib64/tls/incoming
     for file in * ; do
       if [ ! -r ../${file}.incoming ]; then
         cp -a $file ../${file}.incoming
@@ -60,9 +60,9 @@
     done
   )
   # Then switch to them all at once:
-  /sbin/ldconfig -l /lib/tls/*.incoming 2> /dev/null
+  /sbin/ldconfig -l /lib64/tls/*.incoming 2> /dev/null
   # Finally, rename them and clean up:
-  ( cd lib/tls
+  ( cd lib64/tls
     for file in *.incoming ; do
       rm -f `basename $file .incoming`
       cp -a $file `basename $file .incoming`
@@ -71,14 +71,14 @@
     done
   )
 else # no ldconfig?  Good, it's safe to just jam it on home (and make links below):
-  ( cd lib/tls/incoming
+  ( cd lib64/tls/incoming
     for file in * ; do
       cp -a $file ..
     done
   )
 fi
 # Now, get rid of the temporary directory:
-rm -rf lib/tls/incoming
+rm -rf lib64/tls/incoming
 # Done installing NPTL glibc libraries.
 
 # Timezone stuff:
@@ -122,125 +122,125 @@
 # In case there's no ldconfig, make the links manually:
 if [ ! -x /sbin/ldconfig ]; then
 # linuxthreads:
-( cd lib ; rm -rf libnss_nis.so.2 )
-( cd lib ; ln -sf libnss_nis-2.3.6.so libnss_nis.so.2 )
-( cd lib ; rm -rf libm.so.6 )
-( cd lib ; ln -sf libm-2.3.6.so libm.so.6 )
-( cd lib ; rm -rf libnss_files.so.2 )
-( cd lib ; ln -sf libnss_files-2.3.6.so libnss_files.so.2 )
-( cd lib ; rm -rf libresolv.so.2 )
-( cd lib ; ln -sf libresolv-2.3.6.so libresolv.so.2 )
-( cd lib ; rm -rf libnsl.so.1 )
-( cd lib ; ln -sf libnsl-2.3.6.so libnsl.so.1 )
-( cd lib ; rm -rf libutil.so.1 )
-( cd lib ; ln -sf libutil-2.3.6.so libutil.so.1 )
-( cd lib ; rm -rf libnss_compat.so.2 )
-( cd lib ; ln -sf libnss_compat-2.3.6.so libnss_compat.so.2 )
-( cd lib ; rm -rf libthread_db.so.1 )
-( cd lib ; ln -sf libthread_db-1.0.so libthread_db.so.1 )
-( cd lib ; rm -rf libnss_hesiod.so.2 )
-( cd lib ; ln -sf libnss_hesiod-2.3.6.so libnss_hesiod.so.2 )
-( cd lib ; rm -rf libanl.so.1 )
-( cd lib ; ln -sf libanl-2.3.6.so libanl.so.1 )
-( cd lib ; rm -rf libcrypt.so.1 )
-( cd lib ; ln -sf libcrypt-2.3.6.so libcrypt.so.1 )
-( cd lib ; rm -rf libBrokenLocale.so.1 )
-( cd lib ; ln -sf libBrokenLocale-2.3.6.so libBrokenLocale.so.1 )
-( cd lib ; rm -rf ld-linux.so.2 )
-( cd lib ; ln -sf ld-2.3.6.so ld-linux.so.2 )
-( cd lib ; rm -rf libdl.so.2 )
-( cd lib ; ln -sf libdl-2.3.6.so libdl.so.2 )
-( cd lib ; rm -rf libnss_dns.so.2 )
-( cd lib ; ln -sf libnss_dns-2.3.6.so libnss_dns.so.2 )
-( cd lib ; rm -rf libpthread.so.0 )
-( cd lib ; ln -sf libpthread-0.10.so libpthread.so.0 )
-( cd lib ; rm -rf libnss_nisplus.so.2 )
-( cd lib ; ln -sf libnss_nisplus-2.3.6.so libnss_nisplus.so.2 )
-( cd lib ; rm -rf libc.so.6 )
-( cd lib ; ln -sf libc-2.3.6.so libc.so.6 )
-( cd lib ; rm -rf librt.so.1 )
-( cd lib ; ln -sf librt-2.3.6.so librt.so.1 )
+( cd lib64 ; rm -rf libnss_nis.so.2 )
+( cd lib64 ; ln -sf libnss_nis-2.3.6.so libnss_nis.so.2 )
+( cd lib64 ; rm -rf libm.so.6 )
+( cd lib64 ; ln -sf libm-2.3.6.so libm.so.6 )
+( cd lib64 ; rm -rf libnss_files.so.2 )
+( cd lib64 ; ln -sf libnss_files-2.3.6.so libnss_files.so.2 )
+( cd lib64 ; rm -rf libresolv.so.2 )
+( cd lib64 ; ln -sf libresolv-2.3.6.so libresolv.so.2 )
+( cd lib64 ; rm -rf libnsl.so.1 )
+( cd lib64 ; ln -sf libnsl-2.3.6.so libnsl.so.1 )
+( cd lib64 ; rm -rf libutil.so.1 )
+( cd lib64 ; ln -sf libutil-2.3.6.so libutil.so.1 )
+( cd lib64 ; rm -rf libnss_compat.so.2 )
+( cd lib64 ; ln -sf libnss_compat-2.3.6.so libnss_compat.so.2 )
+( cd lib64 ; rm -rf libthread_db.so.1 )
+( cd lib64 ; ln -sf libthread_db-1.0.so libthread_db.so.1 )
+( cd lib64 ; rm -rf libnss_hesiod.so.2 )
+( cd lib64 ; ln -sf libnss_hesiod-2.3.6.so libnss_hesiod.so.2 )
+( cd lib64 ; rm -rf libanl.so.1 )
+( cd lib64 ; ln -sf libanl-2.3.6.so libanl.so.1 )
+( cd lib64 ; rm -rf libcrypt.so.1 )
+( cd lib64 ; ln -sf libcrypt-2.3.6.so libcrypt.so.1 )
+( cd lib64 ; rm -rf libBrokenLocale.so.1 )
+( cd lib64 ; ln -sf libBrokenLocale-2.3.6.so libBrokenLocale.so.1 )
+( cd lib64 ; rm -rf ld-linux.so.2 )
+( cd lib64 ; ln -sf ld-2.3.6.so ld-linux.so.2 )
+( cd lib64 ; rm -rf libdl.so.2 )
+( cd lib64 ; ln -sf libdl-2.3.6.so libdl.so.2 )
+( cd lib64 ; rm -rf libnss_dns.so.2 )
+( cd lib64 ; ln -sf libnss_dns-2.3.6.so libnss_dns.so.2 )
+( cd lib64 ; rm -rf libpthread.so.0 )
+( cd lib64 ; ln -sf libpthread-0.10.so libpthread.so.0 )
+( cd lib64 ; rm -rf libnss_nisplus.so.2 )
+( cd lib64 ; ln -sf libnss_nisplus-2.3.6.so libnss_nisplus.so.2 )
+( cd lib64 ; rm -rf libc.so.6 )
+( cd lib64 ; ln -sf libc-2.3.6.so libc.so.6 )
+( cd lib64 ; rm -rf librt.so.1 )
+( cd lib64 ; ln -sf librt-2.3.6.so librt.so.1 )
 # NPTL:
-( cd lib/tls ; rm -rf libnss_nis.so.2 )
-( cd lib/tls ; ln -sf libnss_nis-2.3.6.so libnss_nis.so.2 )
-( cd lib/tls ; rm -rf libm.so.6 )
-( cd lib/tls ; ln -sf libm-2.3.6.so libm.so.6 )
-( cd lib/tls ; rm -rf libnss_files.so.2 )
-( cd lib/tls ; ln -sf libnss_files-2.3.6.so libnss_files.so.2 )
-( cd lib/tls ; rm -rf libresolv.so.2 )
-( cd lib/tls ; ln -sf libresolv-2.3.6.so libresolv.so.2 )
-( cd lib/tls ; rm -rf libnsl.so.1 )
-( cd lib/tls ; ln -sf libnsl-2.3.6.so libnsl.so.1 )
-( cd lib/tls ; rm -rf libutil.so.1 )
-( cd lib/tls ; ln -sf libutil-2.3.6.so libutil.so.1 )
-( cd lib/tls ; rm -rf libnss_compat.so.2 )
-( cd lib/tls ; ln -sf libnss_compat-2.3.6.so libnss_compat.so.2 )
-( cd lib/tls ; rm -rf libthread_db.so.1 )
-( cd lib/tls ; ln -sf libthread_db-1.0.so libthread_db.so.1 )
-( cd lib/tls ; rm -rf libnss_hesiod.so.2 )
-( cd lib/tls ; ln -sf libnss_hesiod-2.3.6.so libnss_hesiod.so.2 )
-( cd lib/tls ; rm -rf libanl.so.1 )
-( cd lib/tls ; ln -sf libanl-2.3.6.so libanl.so.1 )
-( cd lib/tls ; rm -rf libcrypt.so.1 )
-( cd lib/tls ; ln -sf libcrypt-2.3.6.so libcrypt.so.1 )
-( cd lib/tls ; rm -rf libBrokenLocale.so.1 )
-( cd lib/tls ; ln -sf libBrokenLocale-2.3.6.so libBrokenLocale.so.1 )
-( cd lib/tls ; rm -rf ld-linux.so.2 )
-( cd lib/tls ; ln -sf ld-2.3.6.so ld-linux.so.2 )
-( cd lib/tls ; rm -rf libdl.so.2 )
-( cd lib/tls ; ln -sf libdl-2.3.6.so libdl.so.2 )
-( cd lib/tls ; rm -rf libnss_dns.so.2 )
-( cd lib/tls ; ln -sf libnss_dns-2.3.6.so libnss_dns.so.2 )
-( cd lib/tls ; rm -rf libpthread.so.0 )
-( cd lib/tls ; ln -sf libpthread-2.3.6.so libpthread.so.0 )
-( cd lib/tls ; rm -rf libnss_nisplus.so.2 )
-( cd lib/tls ; ln -sf libnss_nisplus-2.3.6.so libnss_nisplus.so.2 )
-( cd lib/tls ; rm -rf libc.so.6 )
-( cd lib/tls ; ln -sf libc-2.3.6.so libc.so.6 )
-( cd lib/tls ; rm -rf librt.so.1 )
-( cd lib/tls ; ln -sf librt-2.3.6.so librt.so.1 )
+( cd lib64/tls ; rm -rf libnss_nis.so.2 )
+( cd lib64/tls ; ln -sf libnss_nis-2.3.6.so libnss_nis.so.2 )
+( cd lib64/tls ; rm -rf libm.so.6 )
+( cd lib64/tls ; ln -sf libm-2.3.6.so libm.so.6 )
+( cd lib64/tls ; rm -rf libnss_files.so.2 )
+( cd lib64/tls ; ln -sf libnss_files-2.3.6.so libnss_files.so.2 )
+( cd lib64/tls ; rm -rf libresolv.so.2 )
+( cd lib64/tls ; ln -sf libresolv-2.3.6.so libresolv.so.2 )
+( cd lib64/tls ; rm -rf libnsl.so.1 )
+( cd lib64/tls ; ln -sf libnsl-2.3.6.so libnsl.so.1 )
+( cd lib64/tls ; rm -rf libutil.so.1 )
+( cd lib64/tls ; ln -sf libutil-2.3.6.so libutil.so.1 )
+( cd lib64/tls ; rm -rf libnss_compat.so.2 )
+( cd lib64/tls ; ln -sf libnss_compat-2.3.6.so libnss_compat.so.2 )
+( cd lib64/tls ; rm -rf libthread_db.so.1 )
+( cd lib64/tls ; ln -sf libthread_db-1.0.so libthread_db.so.1 )
+( cd lib64/tls ; rm -rf libnss_hesiod.so.2 )
+( cd lib64/tls ; ln -sf libnss_hesiod-2.3.6.so libnss_hesiod.so.2 )
+( cd lib64/tls ; rm -rf libanl.so.1 )
+( cd lib64/tls ; ln -sf libanl-2.3.6.so libanl.so.1 )
+( cd lib64/tls ; rm -rf libcrypt.so.1 )
+( cd lib64/tls ; ln -sf libcrypt-2.3.6.so libcrypt.so.1 )
+( cd lib64/tls ; rm -rf libBrokenLocale.so.1 )
+( cd lib64/tls ; ln -sf libBrokenLocale-2.3.6.so libBrokenLocale.so.1 )
+( cd lib64/tls ; rm -rf ld-linux.so.2 )
+( cd lib64/tls ; ln -sf ld-2.3.6.so ld-linux.so.2 )
+( cd lib64/tls ; rm -rf libdl.so.2 )
+( cd lib64/tls ; ln -sf libdl-2.3.6.so libdl.so.2 )
+( cd lib64/tls ; rm -rf libnss_dns.so.2 )
+( cd lib64/tls ; ln -sf libnss_dns-2.3.6.so libnss_dns.so.2 )
+( cd lib64/tls ; rm -rf libpthread.so.0 )
+( cd lib64/tls ; ln -sf libpthread-2.3.6.so libpthread.so.0 )
+( cd lib64/tls ; rm -rf libnss_nisplus.so.2 )
+( cd lib64/tls ; ln -sf libnss_nisplus-2.3.6.so libnss_nisplus.so.2 )
+( cd lib64/tls ; rm -rf libc.so.6 )
+( cd lib64/tls ; ln -sf libc-2.3.6.so libc.so.6 )
+( cd lib64/tls ; rm -rf librt.so.1 )
+( cd lib64/tls ; ln -sf librt-2.3.6.so librt.so.1 )
 fi
 
 # This is needed for linking some NPTL stuff:
-( cd usr/lib/nptl ; rm -rf librt.so )
-( cd usr/lib/nptl ; ln -sf /lib/tls/librt-2.3.6.so librt.so )
+( cd usr/lib64/nptl ; rm -rf librt.so )
+( cd usr/lib64/nptl ; ln -sf /lib64/tls/librt-2.3.6.so librt.so )
 
 # More links:
-( cd usr/lib ; rm -rf libnss_nisplus.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_nisplus.so.2 libnss_nisplus.so )
+( cd usr/lib64 ; rm -rf libnss_nisplus.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_nisplus.so.2 libnss_nisplus.so )
 # This is now a linker script:
-#( cd usr/lib ; rm -rf libpthread.so )
-#( cd usr/lib ; ln -sf ../../lib/libpthread.so.0 libpthread.so )
-( cd usr/lib ; rm -rf libresolv.so )
-( cd usr/lib ; ln -sf ../../lib/libresolv.so.2 libresolv.so )
-( cd usr/lib ; rm -rf libnsl.so )
-( cd usr/lib ; ln -sf ../../lib/libnsl.so.1 libnsl.so )
-( cd usr/lib ; rm -rf libnss_hesiod.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_hesiod.so.2 libnss_hesiod.so )
-( cd usr/lib ; rm -rf libnss_files.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_files.so.2 libnss_files.so )
-( cd usr/lib ; rm -rf libm.so )
-( cd usr/lib ; ln -sf ../../lib/libm.so.6 libm.so )
-( cd usr/lib ; rm -rf libutil.so )
-( cd usr/lib ; ln -sf ../../lib/libutil.so.1 libutil.so )
-( cd usr/lib ; rm -rf libnss_compat.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_compat.so.2 libnss_compat.so )
-( cd usr/lib ; rm -rf libthread_db.so )
-( cd usr/lib ; ln -sf ../../lib/libthread_db.so.1 libthread_db.so )
-( cd usr/lib ; rm -rf libcrypt.so )
-( cd usr/lib ; ln -sf ../../lib/libcrypt.so.1 libcrypt.so )
-( cd usr/lib ; rm -rf libBrokenLocale.so )
-( cd usr/lib ; ln -sf ../../lib/libBrokenLocale.so.1 libBrokenLocale.so )
-( cd usr/lib ; rm -rf libdl.so )
-( cd usr/lib ; ln -sf ../../lib/libdl.so.2 libdl.so )
-( cd usr/lib ; rm -rf libnss_dns.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_dns.so.2 libnss_dns.so )
-( cd usr/lib ; rm -rf librt.so )
-( cd usr/lib ; ln -sf ../../lib/librt.so.1 librt.so )
-( cd usr/lib ; rm -rf libanl.so )
-( cd usr/lib ; ln -sf ../../lib/libanl.so.1 libanl.so )
-( cd usr/lib ; rm -rf libnss_nis.so )
-( cd usr/lib ; ln -sf ../../lib/libnss_nis.so.2 libnss_nis.so )
+#( cd usr/lib64 ; rm -rf libpthread.so )
+#( cd usr/lib64 ; ln -sf ../../lib64/libpthread.so.0 libpthread.so )
+( cd usr/lib64 ; rm -rf libresolv.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libresolv.so.2 libresolv.so )
+( cd usr/lib64 ; rm -rf libnsl.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnsl.so.1 libnsl.so )
+( cd usr/lib64 ; rm -rf libnss_hesiod.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_hesiod.so.2 libnss_hesiod.so )
+( cd usr/lib64 ; rm -rf libnss_files.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_files.so.2 libnss_files.so )
+( cd usr/lib64 ; rm -rf libm.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libm.so.6 libm.so )
+( cd usr/lib64 ; rm -rf libutil.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libutil.so.1 libutil.so )
+( cd usr/lib64 ; rm -rf libnss_compat.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_compat.so.2 libnss_compat.so )
+( cd usr/lib64 ; rm -rf libthread_db.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libthread_db.so.1 libthread_db.so )
+( cd usr/lib64 ; rm -rf libcrypt.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libcrypt.so.1 libcrypt.so )
+( cd usr/lib64 ; rm -rf libBrokenLocale.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libBrokenLocale.so.1 libBrokenLocale.so )
+( cd usr/lib64 ; rm -rf libdl.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libdl.so.2 libdl.so )
+( cd usr/lib64 ; rm -rf libnss_dns.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_dns.so.2 libnss_dns.so )
+( cd usr/lib64 ; rm -rf librt.so )
+( cd usr/lib64 ; ln -sf ../../lib64/librt.so.1 librt.so )
+( cd usr/lib64 ; rm -rf libanl.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libanl.so.1 libanl.so )
+( cd usr/lib64 ; rm -rf libnss_nis.so )
+( cd usr/lib64 ; ln -sf ../../lib64/libnss_nis.so.2 libnss_nis.so )
 ( cd usr/share/zoneinfo ; rm -rf localtime )
 ( cd usr/share/zoneinfo ; ln -sf /etc/localtime localtime )
 ( cd sbin ; rm -rf sln )
